﻿package 
{

	import flash.display.MovieClip;
	import flash.sensors.Accelerometer;
	import flash.events.AccelerometerEvent;
	import flash.events.Event;


	public class AccelerometerDemo extends MovieClip
	{

		private var accelX:Number;
		private var accelY:Number;
		private var fl_Accelerometer:Accelerometer;

		public function AccelerometerDemo()
		{
			init();
		}

		private function init():void
		{
			fl_Accelerometer = new Accelerometer();
			fl_Accelerometer.addEventListener(AccelerometerEvent.UPDATE, fl_AccelerometerUpdateHandler);

			ball.addEventListener(Event.ENTER_FRAME, moveBall);
		}


		private function fl_AccelerometerUpdateHandler(event:AccelerometerEvent):void
		{
			accelX = event.accelerationX;
			accelY = event.accelerationY;
		}


		private function moveBall(evt:Event)
		{
			ball.x -=  accelX * 30;
			ball.y +=  accelY * 30;

			if (ball.x > (480 - ball.width / 2))
			{
				ball.x = 480 - ball.width / 2;
			}
			if (ball.x < (0 + ball.width / 2))
			{
				ball.x = 0 + ball.width / 2;
			}
			if (ball.y > (800 - ball.width / 2))
			{
				ball.y = 800 - ball.width / 2;
			}
			if (ball.y < (0 + ball.width / 2))
			{
				ball.y = 0 + ball.width / 2;
			}
		}

	}

}